summaryrefslogtreecommitdiff
path: root/office
diff options
context:
space:
mode:
authorAntonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:26:10 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-11 22:26:10 +0200
commita433a98fb8f8f831d884ef72e5715a56a73f1015 (patch)
treec010876fd8aa2a5aa873b72417eae39ab3d8d451 /office
parentf7671892f2f6f6c15024bcdedb7580827c17d6dd (diff)
downloadslackbuilds-a433a98fb8f8f831d884ef72e5715a56a73f1015.tar.gz
office/oooqs2: Updated for version 1.0.1
Diffstat (limited to 'office')
-rw-r--r--office/oooqs2/oooqs2.SlackBuild57
-rw-r--r--office/oooqs2/oooqs2.info6
2 files changed, 47 insertions, 16 deletions
diff --git a/office/oooqs2/oooqs2.SlackBuild b/office/oooqs2/oooqs2.SlackBuild
index 15667fd591..c9942ae426 100644
--- a/office/oooqs2/oooqs2.SlackBuild
+++ b/office/oooqs2/oooqs2.SlackBuild
@@ -1,15 +1,33 @@
#!/bin/sh
# Slackware build script for oooqs2
-# Written by eroc <eroc@linuxmail.org>
-# Modified by the SlackBuilds.org project
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
PRGNAM=oooqs2
VERSION=1.0.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-SBo}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,30 +37,43 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+rw,go-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix) || true
-KDEPREF=$(kde-config --prefix)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$KDEPREF \
- || exit 1
+ --prefix="$KDEPREF" \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/HTML $PKG/usr/doc
+rmdir $PKG/usr/share/doc
+
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/office/oooqs2/oooqs2.info b/office/oooqs2/oooqs2.info
index 308fbefcc7..5479d5659f 100644
--- a/office/oooqs2/oooqs2.info
+++ b/office/oooqs2/oooqs2.info
@@ -3,6 +3,6 @@ VERSION="1.0.1"
HOMEPAGE="http://kde-apps.org/content/show.php?content=10156"
DOWNLOAD="http://download.berlios.de/segfaultskde/oooqs2-1.0.1.tar.gz"
MD5SUM="6b5cf0d2a6497ff5210242d55e467e6f"
-MAINTAINER="eroc"
-EMAIL="eroc@linuxmail.org"
-APPROVED="rworkman"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"